export 'dart:async';
export 'dart:io';
export 'dart:typed_data';
export 'dart:collection';
export 'package:flutter/material.dart';
export 'package:flutter/services.dart';
export 'package:shared_preferences/shared_preferences.dart';
export 'package:demandium_serviceman/utils/app_constants.dart';
export 'package:firebase_messaging/firebase_messaging.dart';
export 'package:phone_number/phone_number.dart';
export 'package:demandium_serviceman/data/provider/client_api.dart';
export 'package:demandium_serviceman/utils/dimensions.dart';
export 'package:demandium_serviceman/data/model/response/language_model.dart';
export 'package:connectivity_plus/connectivity_plus.dart';
export 'package:demandium_serviceman/feature/splash/controller/splash_controller.dart';
export 'package:demandium_serviceman/utils/images.dart';
export 'package:demandium_serviceman/feature/splash/view/splash_screen.dart';
export 'package:demandium_serviceman/feature/dashboard/view/dashboard_screen.dart';
export 'package:demandium_serviceman/core/helper/responsive_helper.dart';
export 'package:demandium_serviceman/feature/menu/model/menu_model.dart';
export 'package:demandium_serviceman/feature/auth/controller/auth_controller.dart';
export 'package:demandium_serviceman/core/helper/route_helper.dart';
export 'package:demandium_serviceman/feature/menu/view/menu_screen.dart';
export 'package:demandium_serviceman/utils/styles.dart';
export 'package:demandium_serviceman/feature/menu/widget/menu_button.dart';
export 'package:demandium_serviceman/feature/splash/repository/splash_repo.dart';
export 'package:demandium_serviceman/data/model/response/config_model.dart';
export 'package:demandium_serviceman/components/custom_button.dart';
export 'package:demandium_serviceman/data/provider/checker_api.dart';
export 'package:demandium_serviceman/feature/auth/repository/auth_repo.dart';
export 'package:demandium_serviceman/feature/auth/model/signup_body.dart';
export 'package:demandium_serviceman/feature/auth/model/social_log_in_body.dart';
export 'package:demandium_serviceman/data/model/response/response_model.dart';
export 'package:demandium_serviceman/components/custom_snackbar.dart';
export 'package:demandium_serviceman/data/model/response/address_model.dart';
export 'package:image_picker/image_picker.dart';
export 'package:demandium_serviceman/data/model/response/error_response.dart';
export 'package:flutter/foundation.dart';
export 'package:demandium_serviceman/controller/localization_controller.dart';
export 'package:demandium_serviceman/data/repository/language_repo.dart';
export 'package:demandium_serviceman/controller/theme_controller.dart';
export 'package:demandium_serviceman/theme/dark_theme.dart';
export 'package:demandium_serviceman/theme/light_theme.dart';
export 'package:demandium_serviceman/utils/messages.dart';
export 'package:demandium_serviceman/feature/auth/view/sign_in_screen.dart';
export 'package:demandium_serviceman/components/custom_app_bar.dart';
export 'package:demandium_serviceman/utils/gaps.dart';
export 'package:demandium_serviceman/feature/booking_details/view/booking_details_screen.dart';
export 'package:demandium_serviceman/feature/booking_details/bindings/booking_bindings.dart';
export 'package:demandium_serviceman/components/custom_text_form_field.dart';
export 'package:demandium_serviceman/feature/dashboard/widgets/recent_activity_card.dart';
export 'package:demandium_serviceman/feature/dashboard/controller/dashboard_controller.dart';
export 'package:demandium_serviceman/feature/dashboard/repository/dashboard_repository.dart';
export 'package:demandium_serviceman/core/helper/date_converter.dart';
export 'package:demandium_serviceman/components/non_editable_text_field.dart';
export 'package:demandium_serviceman/feature/forgot_password/view/forgot_pass_screen.dart';
export 'package:demandium_serviceman/feature/forgot_password/view/otp_verification_screen.dart';
export 'package:demandium_serviceman/feature/forgot_password/view/new_password_screen.dart';
export 'package:demandium_serviceman/feature/conversation/model/conversation_model.dart';
export 'package:demandium_serviceman/feature/conversation/controller/conversation_controller.dart';
export 'package:demandium_serviceman/feature/conversation/model/channel_model.dart';
export 'package:demandium_serviceman/feature/profile/controller/profile_controller.dart';
export 'package:demandium_serviceman/feature/conversation/repo/conversation_repo.dart';
export 'package:demandium_serviceman/feature/conversation/view/conversation_screen.dart';
export 'package:demandium_serviceman/utils/string_capitalize.dart';
export 'package:pin_code_fields/pin_code_fields.dart';
export 'package:demandium_serviceman/feature/booking_details/controller/booking_details_controller.dart';
export 'package:demandium_serviceman/core/helper/price_converter.dart';
export 'package:demandium_serviceman/feature/booking_details/controller/invoice_controller.dart';
export 'package:demandium_serviceman/feature/booking_details/controller/pdf_controller.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_info_view.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/customer_info.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/provider_info_card.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/status_change_dropdown_button.dart';
export 'package:demandium_serviceman/utils/color_resources.dart';
export 'package:demandium_serviceman/components/custom_loader.dart';
export 'package:demandium_serviceman/feature/booking_details/view/booking_edit_screen.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/camera_button_sheet.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/bottom_card.dart';
export 'package:dotted_border/dotted_border.dart';
export 'package:demandium_serviceman/feature/booking_details/model/booking_details_model.dart';
export'package:demandium_serviceman/components/no_internet_screen.dart';
export 'package:demandium_serviceman/feature/booking_history/controller/history_screen_controller.dart';
export 'package:demandium_serviceman/feature/language/view/language_screen.dart';
export 'package:demandium_serviceman/data/model/response/notification_body.dart';
export 'package:flutter_downloader/flutter_downloader.dart';
export 'package:flutter_local_notifications/flutter_local_notifications.dart';
export'package:url_strategy/url_strategy.dart';
export 'package:firebase_core/firebase_core.dart';
export'package:demandium_serviceman/common_model/service_man.dart';
export 'package:demandium_serviceman/common_model/user_model.dart';
export 'package:demandium_serviceman/feature/booking_list/controller/booking_list_controller.dart';
export 'package:demandium_serviceman/feature/booking_history/view/history_screen.dart';
export 'package:demandium_serviceman/feature/booking_list/view/booking_list_screen.dart';
export 'package:demandium_serviceman/feature/booking_list/repository/booking_list_repo.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/tracking_stepper_widget.dart';
export 'package:demandium_serviceman/feature/notifications/controller/notification_controller.dart';
export 'package:demandium_serviceman/feature/conversation/binding/conversation_binding.dart';
export 'package:demandium_serviceman/feature/conversation/view/channel_list.dart';
export 'package:demandium_serviceman/feature/home/home_screen.dart';
export 'package:demandium_serviceman/feature/html/binding/html_binding.dart';
export 'package:demandium_serviceman/feature/html/html_viewer_screen.dart';
export 'package:demandium_serviceman/feature/language/view/language_bottom_sheet.dart';
export 'package:demandium_serviceman/feature/notifications/view/notification_screen.dart';
export 'package:demandium_serviceman/feature/profile/binding/profile_binding.dart';
export'package:demandium_serviceman/feature/profile/view/profile_information_tabs.dart';
export 'package:demandium_serviceman/feature/profile/view/profile_screen.dart';
export 'package:demandium_serviceman/feature/splash/binding/splash_binding.dart';
export 'package:demandium_serviceman/utils/html_type.dart';
export 'package:demandium_serviceman/components/update_screen.dart';
export 'package:demandium_serviceman/feature/booking_list/binding/booking_list_binding.dart';
export 'package:demandium_serviceman/feature/booking_details/controller/booking_edit_controller.dart';
export 'package:demandium_serviceman/feature/booking_details/repository/booking_details_repo.dart';
export 'package:demandium_serviceman/feature/booking_details/model/invoice.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/dialogue_image.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_details_widget.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_status.dart';
export 'package:demandium_serviceman/feature/conversation/widgets/create_channel_dialog.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_edit/cart_product_widget.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_edit/payment_status_button.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_edit/sub_category_service_view.dart';
export 'package:demandium_serviceman/components/confirm_dialog.dart';
export 'package:demandium_serviceman/components/custom_image.dart';
export 'package:demandium_serviceman/feature/booking_details/model/cart_model.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_edit/quantity_button.dart';
export 'package:flutter_switch/flutter_switch.dart';
export 'package:pointer_interceptor/pointer_interceptor.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_edit/service_center_dialog.dart';
export 'package:shimmer_animation/shimmer_animation.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/booking_item.dart';
export 'package:timelines/timelines.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/payment_receive_dialog.dart';
export 'package:demandium_serviceman/feature/booking_details/widget/verify_otp_sheet.dart';
export 'package:demandium_serviceman/feature/booking_history/widgets/booking_history_shimmer.dart';
export 'package:demandium_serviceman/feature/booking_history/widgets/service_request_menu.dart';
export 'package:demandium_serviceman/feature/booking_history/widgets/booking_history_card.dart';
export 'package:demandium_serviceman/feature/dashboard/widgets/app_bar.dart';
export 'package:demandium_serviceman/feature/language/widgets/language_widget.dart';
export 'package:demandium_serviceman/feature/profile/widgets/column_text.dart';
export 'package:demandium_serviceman/feature/profile/widgets/profile_card.dart';
export 'package:demandium_serviceman/feature/profile/widgets/profile_shimmer_widget.dart';
export 'package:demandium_serviceman/feature/conversation/widgets/image_dialog.dart';
export 'package:demandium_serviceman/feature/profile/widgets/profile_information_shimmer.dart';
export 'package:path_provider/path_provider.dart';
export 'package:permission_handler/permission_handler.dart';
export 'package:demandium_serviceman/feature/conversation/widgets/message_widget.dart';
export 'package:demandium_serviceman/feature/conversation/widgets/chatting_shimmer.dart';
export 'package:demandium_serviceman/feature/booking_history/widgets/menu_item.dart';
export 'package:demandium_serviceman/feature/booking_list/model/booking_model.dart';
export 'package:demandium_serviceman/feature/booking_history/repository/booking_history_repository.dart';
export 'package:demandium_serviceman/feature/booking_list/widgets/booking_list_shimmer.dart';
export 'package:demandium_serviceman/feature/notifications/widgets/no_notification_screen.dart';
export 'package:demandium_serviceman/feature/booking_list/widgets/booking_list_menu.dart';
export 'package:demandium_serviceman/feature/conversation/model/conversation_user.dart';
export 'package:file_picker/file_picker.dart';
export 'package:demandium_serviceman/feature/conversation/widgets/channel_item.dart';
export 'package:demandium_serviceman/feature/dashboard/widgets/business_summery_section.dart';
export 'package:demandium_serviceman/feature/dashboard/widgets/dashboard_shimmer.dart';
export 'package:demandium_serviceman/feature/dashboard/widgets/earning_statistics_section.dart';
export 'package:demandium_serviceman/feature/dashboard/widgets/recent_activity_section.dart';
export 'package:demandium_serviceman/feature/html/controller/webview_controller.dart';
export 'package:demandium_serviceman/feature/notifications/widgets/notification_dialog.dart';
export  'package:demandium_serviceman/feature/notifications/widgets/notification_shimmer.dart';
export 'package:demandium_serviceman/feature/profile/repository/user_repo.dart';





























