import 'package:flutter/material.dart';

class ButtonWidget extends StatelessWidget {
  final String text;
  final VoidCallback onClicked;

  const ButtonWidget({
    Key? key,
    required this.text,
    required this.onClicked,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) => ElevatedButton(
    style: ElevatedButton.styleFrom(
      minimumSize: const Size.fromHeight(40),
    ),
    onPressed: onClicked,
    child: FittedBox(
      child: Text(
        text,
        style: const TextStyle(fontSize: 20, color: Colors.white),
      ),
    ),
  );
}
